
Figure - Bug #117883
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】播放飞书语音消息后，中控和副屏都无法播放音频
2023-05-11 17:15 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 更改voice call场景申请焦点的位置

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、打开飞书

2、播放语音消息

3、播放媒体音频

【预期结果】

2、语音消息可正常播放

3、媒体音频可正常播放

【实际结果】

2、语音消息不可正常播放

3、媒体音频无法播放

History

#1 - 2023-05-11 19:45 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前分析：

根据日志来看，当前飞书在播放语音消息时使用的流类型为voice call，

由于当前的方案为播放voice call是申请voice call焦点，但是在set mode时释放焦点，

导致了焦点没有释放。出现了以上的问题。

下一步：

更改voice call场景申请焦点的位置,找到更合理的方案，进行voice call焦点的处理。

#2 - 2023-05-12 18:01 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED
- Root cause set to 更改voice call场景申请焦点的位置

HI 永红

该问题修复代码已经投入，本地验证OK，请使用5/12后的版本进行验证，谢谢！

提交为

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199456

#3 - 2023-05-16 15:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

5.16

验证通过

#4 - 2023-05-16 15:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199456

